/*
	Copyright (c) 2000, Tinic Uro <tinic@tinic.net> 
	All rights reserved. Please read the LICENSE file 
	which included in this distribution for details.
*/
#ifndef _ZOUTLINER_H_
#define _ZOUTLINER_H_
#include "ZSketcher.h"

class ZReverse;

/// Computes outlines of a path
class ZOutliner : public ZSketcher
{
	public:
							///
						 ZOutliner();
						 	///
		virtual			~ZOutliner();
		
							///
		virtual	ZPath	 &ComputeOutline(const ZPath &from, float32 radius);
		
	protected:
	
							///
		virtual	void	 MoveTo(ZPoint point);
							///
		virtual	void	 LineTo(ZPoint point);
							///
		virtual	void	 Close();

				ZReverse *reverser;
				ZPath	 innpath;
				ZPath	 outpath;
				float	 rad;
				bool	 init;
};

#endif